company-events
Get company event
Retrieves the details of a specific event for a company.
GET
/
api
/
company
/
events
/
{eventId}
Get company event
curl --request GET \
--url https://api.fluid.app/api/company/events/{eventId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fluid.app/api/company/events/{eventId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fluid.app/api/company/events/{eventId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"active": true,
"canonical_time_zone": "<string>",
"color": "<string>",
"countries": [
"<string>"
],
"description": null,
"end": "2023-11-07T05:31:56Z",
"events": [
{
"active": true,
"canonical_time_zone": "<string>",
"color": "<string>",
"countries": [
"<string>"
],
"description": null,
"end": "2023-11-07T05:31:56Z",
"id": 123,
"image_url": null,
"images": [
"<string>"
],
"is_all_day": true,
"notification_sent_at": null,
"send_notification": true,
"start": "2023-11-07T05:31:56Z",
"status": null,
"time_zone": "<string>",
"title": "<string>",
"url": "<string>",
"user_id": 123,
"venue": null
}
],
"id": 123,
"image_url": null,
"images": [
"<string>"
],
"is_all_day": true,
"meta": {
"pagination": {
"current_page": 123,
"per_page": 123,
"total_count": 123,
"total_pages": 123
},
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
},
"notification_sent_at": null,
"send_notification": true,
"start": "2023-11-07T05:31:56Z",
"status": null,
"time_zone": "<string>",
"title": "<string>",
"url": "<string>",
"user_id": 123,
"venue": null
}{
"message": "<string>"
}{
"message": "<string>",
"error": "<string>",
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}Authorizations
Bearer token authentication
Path Parameters
The unique identifier of the company event
Response
Event found
Any valid JSON value for provider, integration, theme, metadata, or other dynamic payloads whose keys are not fixed by the API contract.
Show child attributes
Show child attributes
Any valid JSON value for provider, integration, theme, metadata, or other dynamic payloads whose keys are not fixed by the API contract.
Show child attributes
Show child attributes
⌘I
Get company event
